| Home | Libraries | People | FAQ | More

## Function operator==

boost::logic::operator== — Compare tribools for equality.

## Synopsis

    tribool operator==(tribool x, tribool y);
    tribool operator==(tribool x, bool y);
    tribool operator==(bool x, tribool y);
    tribool operator==(indeterminate_keyword_t, tribool x);
    tribool operator==(tribool x, indeterminate_keyword_t);

## Description

Returns: | the result of comparing two tribool values, according to the following table:
`==` | false | true | indeterminate
false | true | false | indeterminate
true | false | true | indeterminate
indeterminate | indeterminate | indeterminate | indeterminate
Throws: | Will not throw.